Bug 233140 - dns/powerdns-recursor: update to 4.1.7
Summary: dns/powerdns-recursor: update to 4.1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-11 15:16 UTC by Ralf van der Enden
Modified: 2018-11-19 10:14 UTC (History)
1 user (show)

See Also:


Attachments
Update to PowerDNS Recursor 4.1.7 (1.91 KB, patch)
2018-11-11 15:16 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-11-11 15:16:39 UTC
Created attachment 199139 [details]
Update to PowerDNS Recursor 4.1.7

This release fixes the following security advisories:
- PowerDNS Security Advisory 2018-04 (CVE-2018-10851)
- PowerDNS Security Advisory 2018-06 (CVE-2018-14626)
- PowerDNS Security Advisory 2018-07 (CVE-2018-14644) (updated fix)

It also contains several improvements and bug fixes.

Full changelog: https://doc.powerdns.com/recursor/changelog/4.1.html#change-4.1.7

Buildlog: https://pkg.cainites.net/data/latest-per-pkg/powerdns-recursor/4.1.7/freebsd_11x64-system.log

Deleted files: files/patch-opensslsigners.cc
Comment 1 commit-hook freebsd_committer 2018-11-17 18:00:49 UTC
A commit references this bug:

Author: joneum
Date: Sat Nov 17 18:00:18 UTC 2018
New revision: 485185
URL: https://svnweb.freebsd.org/changeset/ports/485185

Log:
  Add entry for dns/powerdns-recursor

  PR:		233140
  Sponsored by:	Netzkommune GmbH

Changes:
  head/security/vuxml/vuln.xml
Comment 2 commit-hook freebsd_committer 2018-11-18 12:48:17 UTC
A commit references this bug:

Author: joneum
Date: Sun Nov 18 12:47:38 UTC 2018
New revision: 485222
URL: https://svnweb.freebsd.org/changeset/ports/485222

Log:
  Update to 4.1.7

  Changelog: https://doc.powerdns.com/recursor/changelog/4.1.html#change-4.1.7

  PR:		233140
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  MFH:		2018Q4
  Security:	e9aa0e4c-ea8b-11e8-a5b7-00e04c1ea73d
  Sponsored by:	Netzkommune GmbH

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-opensslsigners.cc
Comment 3 commit-hook freebsd_committer 2018-11-19 10:14:28 UTC
A commit references this bug:

Author: joneum
Date: Mon Nov 19 10:13:31 UTC 2018
New revision: 485311
URL: https://svnweb.freebsd.org/changeset/ports/485311

Log:
  MFH: r485222

  Update to 4.1.7

  Changelog: https://doc.powerdns.com/recursor/changelog/4.1.html#change-4.1.7

  PR:		233140
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Security:	e9aa0e4c-ea8b-11e8-a5b7-00e04c1ea73d
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/dns/powerdns-recursor/Makefile
  branches/2018Q4/dns/powerdns-recursor/distinfo
  branches/2018Q4/dns/powerdns-recursor/files/patch-opensslsigners.cc
Comment 4 Jochen Neumeister freebsd_committer 2018-11-19 10:14:51 UTC
Landed. Thanks :-)